[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# InvalidDateTimeError

Raise an EConvertError about an invalid date-time specification.

## Declaration

Source position: line 0

`procedure InvalidDateTimeError(`
`const AYear: Word;`
`const AMonth: Word;`
`const ADay: Word;`
`const AHour: Word;`
`const AMinute: Word;`
`const ASecond: Word;`
`const AMilliSecond: Word;`
`const ABaseDate: TDateTime`
`); procedure InvalidDateTimeError(`
`const AYear: Word;`
`const AMonth: Word;`
`const ADay: Word;`
`const AHour: Word;`
`const AMinute: Word;`
`const ASecond: Word;`
`const AMilliSecond: Word`
`);`

## Arguments

`AYear` |  | Year
`AMonth` |  | Month in the year
`ADay` |  | Day of the month
`AHour` |  | Hour of the day
`AMinute` |  | Minute of the hour
`ASecond` |  | Seconds in the minute
`AMilliSecond` |  | Milliseconds in second
`ABaseDate` |  | Base date time to use when creating the string representing the date/time. Default 0

## Arguments

`AYear` |  | Year
`AMonth` |  | Month in the year
`ADay` |  | Day of the month
`AHour` |  | Hour of the day
`AMinute` |  | Minute of the hour
`ASecond` |  | Seconds in the minute
`AMilliSecond` |  | Milliseconds in second

## Description

InvalidDateTimeError raises an EConvertError exception and formats the error message with an appropriate description made up from the parts AYear, AMonth, ADay,AHour, AMinute, ASecond and AMilliSecond.

Normally this function should not be needed, the conversion routines call it when they have received invalid arguments.

## See also

InvalidDateWeekError |  | Raise an EConvertError with an invalid Year, WeekOfyear and DayOfWeek specification
InvalidDateDayError |  | Raise an EConvertError exception when a day is not a valid day of a year.
InvalidDateMonthWeekError |  | Raise an EConvertError exception when a Year,Month,WeekOfMonth,DayofWeek is invalid.
InvalidDayOfWeekInMonthError |  | Raise an EConvertError exception when a Year,Month,NthDayofWeek,DayofWeek is invalid.

Documentation generated on: Feb 26 2014